function ls_nodes.storage_form(pos, name)
   local meta = minetest.get_meta(pos)
   local existing_name = meta:get_string('infotext')
   name = name or existing_name
   local key = pos.x .. "," .. pos.y .. "," .. pos.z
   local formspec =
   'formspec_version[7]'..
   'size[10,11]'..
   'bgcolor[#000000;neither]'..
   'background[-1,-1;11,12;ls_crystal_beacon_bg.png;false]'..
   'listcolors[#00000000;#ffffff25]'..
   ls_core.inv_slot_bg(0,0,8,4)..
   'list[nodemeta:'..key..';main;0,0;8,4;]'..
   'field[1.3,4.3;2,1;description;;'..name..']'..
   'button[3,4;1,1;save;Save]'..
   ls_core.inv_slot_bg(0,5,8,4)..
   'list[current_player;main;0,5;8,4;]'..
   'listring[]'
   return formspec
end
